Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.sql.wherebuilder
Class SingleChar

    java.lang.Object
      org.deegree.io.datastore.sql.wherebuilder.SingleChar

All Implemented Interfaces:
  SpecialCharStringPart

    final class SingleChar

extends Object
implements SpecialCharStringPart

Part of a `SpecialCharString` -- represents an arbitrary character (in SQL: '_').

Version:
  $Revision: 6588 $, $Date: 2007-04-11 17:31:29 +0200 (Mi, 11 Apr 2007) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`SingleChar()`

Method Summary
`String` | `toSQLStyle()` Returns an encoding that is suitable for arguments of "IS LIKE"-clauses in SQL.
`String` | `toSQLStyle(boolean toLowerCase)` Returns an encoding that is suitable for arguments of "IS LIKE"-clauses in SQL.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SingleChar

    SingleChar()

Method Detail

### toSQLStyle

    public String toSQLStyle()

  Returns an encoding that is suitable for arguments of "IS LIKE"-clauses in SQL.

  This means:

  - wildCard: encoded as the '%'-character
  - singleChar: encoded as the '_'-character
  - escape: encoded as the '\'-character

  Specified by:
    `toSQLStyle` in interface `SpecialCharStringPart`
  Returns:
    encoded string

### toSQLStyle

    public String toSQLStyle(boolean toLowerCase)

  Returns an encoding that is suitable for arguments of "IS LIKE"-clauses in SQL.

  This means:

  - wildCard: encoded as the '%'-character
  - singleChar: encoded as the '_'-character
  - escape: encoded as the '\'-character

  Specified by:
    `toSQLStyle` in interface `SpecialCharStringPart`
  Parameters:
    `toLowerCase` - true means: convert to lowercase letters
  Returns:
    encoded string

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org